Status: Resolved Start date: 08/03/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Since the shared objects are already versioned, this should be achievable by installing headers into versioned directories. E.g. 
/usr/include/rsb-0.8.

Associated revisions
Revision 26c739b3 - 08/31/2012 12:59 AM - J. Moringen
Make multiple RSB versions installable in parallel
fixes #1126
    -  RSBConfig.cmake.in: changed RSB_INCLUDE_DIRS to include

  INSTALL_PATH_PREFIX; depend on specific version of RSC
    -  rsb.pc.in: changed includedir to include INSTALL_PATH_PREFIX; depend

  on specific version of RSC library; specify versioned RSB library
    -  CMakeLists.txt: added INSTALL_PATH_PREFIX; install pkg-config module

  into versioned path; install CMake module into versioned path;
  install license file into versioned path

    -  src/CMakeLists.txt: do not install unversioned symlink for library;
  install headers into versioned path

History
#1 - 08/31/2012 12:51 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 08/31/2012 05:46 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cpp|commit:26c739b33a7dd0a43a54ded2b0f093d01290ffcd.
